{{- define "dundas.bi.appDb.appDbConnString" -}}
{{- if .Values.dundas.bi.appDb.appDbConnString -}}
  {{- .Values.dundas.bi.appDb.appDbConnString -}}
{{- else -}}
  {{- "placeholder" -}}
{{- end -}}
{{- end -}}
            
{{- define "dundas.bi.appDb.warehouseDbConnString" -}}
{{- if .Values.dundas.bi.appDb.warehouseDbConnString -}}
  {{- .Values.dundas.bi.appDb.warehouseDbConnString -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.useExistingSecretForAppDbConnString" -}}
{{- if .Values.dundas.bi.appDb.useExistingSecretForAppDbConnString -}}
  {{- .Values.dundas.bi.appDb.useExistingSecretForAppDbConnString -}}
{{- else -}}
  {{- false -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.useExistingSecretForWarehouseDbConnString" -}}
{{- if .Values.dundas.bi.appDb.useExistingSecretForWarehouseDbConnString -}}
  {{- .Values.dundas.bi.appDb.useExistingSecretForWarehouseDbConnString -}}
{{- else -}}
  {{- false -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.secretKeyRef.appDbConnStringSecretName" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.appDbConnStringSecretName -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.appDbConnStringSecretName -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.secretKeyRef.appDbConnStringSecretKey" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.appDbConnStringSecretKey -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.appDbConnStringSecretKey -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretName" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretName -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretName -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretKey" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretKey -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretKey -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.appStorage" -}}
{{- if .Values.dundas.bi.appDb.appStorage -}}
  {{- .Values.dundas.bi.appDb.appStorage -}}
{{- else -}}
  {{- "SqlServer" -}}
{{- end -}}
{{- end -}}



{{- define "dundas.bi.appDb.appDbCreatorConnString" -}}
{{- if .Values.dundas.bi.appDb.appDbCreatorConnString -}}
  {{- .Values.dundas.bi.appDb.appDbCreatorConnString -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}
        
{{- define "dundas.bi.appDb.whDbCreatorConnString" -}}
{{- if .Values.dundas.bi.appDb.whDbCreatorConnString -}}
  {{- .Values.dundas.bi.appDb.whDbCreatorConnString -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.appDb.useExistingSecretForAppDbCreatorConnectionString" -}}
{{- if .Values.dundas.bi.appDb.useExistingSecretForAppDbCreatorConnectionString -}}
  {{- .Values.dundas.bi.appDb.useExistingSecretForAppDbCreatorConnectionString -}}
{{- else -}}
  {{- false -}}
{{- end -}}
{{- end }}

{{- define "dundas.bi.appDb.useExistingSecretForWarehouseDbCreatorConnectionString" -}}
{{- if .Values.dundas.bi.appDb.useExistingSecretForWhDbCreatorConnectionString -}}
  {{- .Values.dundas.bi.appDb.useExistingSecretForWhDbCreatorConnectionString -}}
{{- else -}}
  {{- false -}}
{{- end -}}
{{- end }}

{{- define "dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretName" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretName -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretName -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end }}

{{- define "dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretKey" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretKey -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretKey -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end }}

{{- define "dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretName" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretName -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretName -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end }}

{{- define "dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretKey" -}}
{{- if .Values.dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretKey -}}
  {{- .Values.dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretKey -}}
{{- else -}}
  {{- "" -}}
{{- end -}}
{{- end }}

{{/*
  DUNDAS_BI_APP_STORAGE Environment Variable
*/}}

{{- define "dundas.env.appStorage" -}}
{{- $postgresEnabled := false }}
{{- if .Values.global }}
{{- if .Values.global.postgresql }}
{{- if .Values.global.postgresql.enabled }}
{{- $postgresEnabled = true }}
{{- end }}  
{{- end }}
{{- end }}  
- name: DUNDAS_BI_APP_STORAGE
{{ if or .Values.dundas.bi.appDb.express $postgresEnabled }}
  value: Postgres
{{ else }}
  value: {{ include "dundas.bi.appDb.appStorage" . }}
{{ end }}

{{- end -}}

{{/*
  DUNDAS_BI_APP_DB_CONN_STRING Environment Variable
*/}}
{{- define "dundas.env.dundasBiAppDbConnString" -}}

{{- if .Values.dundas.bi.appDb.express }}
- name: DUNDAS_BI_APP_DB_CONN_STRING
  value: "Host={{ .Release.Name }}-dundas-bi-database; Database=Dundas BI {{ .Release.Name }}; Username=postgres;Password=$(POSTGRES_PASSWORD)"
{{ else }}
- name: DUNDAS_BI_APP_DB_CONN_STRING
  valueFrom:
  {{- if ne ( include "logi.symphony.existingSecret" . ) ""  }}
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" .  }}
      key: managed.db.application.connectionstring
  {{- else if eq ( include "dundas.bi.appDb.useExistingSecretForAppDbConnString" . ) "true" }}
    secretKeyRef:
      name:  {{ include "dundas.bi.appDb.secretKeyRef.appDbConnStringSecretName" . }}
      key: {{ include "dundas.bi.appDb.secretKeyRef.appDbConnStringSecretKey" . }}
  {{- else }}
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_CONNECTION_STRING
  {{- end }}
{{- end }}

{{- end -}}


{{/*
  DUNDAS_BI_WAREHOUSE_DB_CONN_STRING Environment Variable
*/}}
{{- define "dundas.env.dundasBiWhDbConnString" -}}

{{- $postgresEnabled := false }}
{{- if .Values.global }}
{{- if .Values.global.postgresql }}
{{- if .Values.global.postgresql.enabled }}
{{- $postgresEnabled = true }}
{{- end }}  
{{- end }}
{{- end }}  

# Warehouse connection string section 
{{ if .Values.dundas.bi.appDb.express }}
# Do nothing express 
{{ else }}
{{ if ne ( include "logi.symphony.existingSecret" . ) ""  }}
- name: DUNDAS_BI_WAREHOUSE_DB_CONN_STRING
  valueFrom:
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" .  }}
      key: managed.db.warehouse.connectionstring
{{ else if eq ( include "dundas.bi.appDb.useExistingSecretForWarehouseDbConnString" . ) "true" }}
- name: DUNDAS_BI_WAREHOUSE_DB_CONN_STRING
  valueFrom:
    secretKeyRef:
      name:  {{ include "dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretName" . }}
      key: {{ include "dundas.bi.appDb.secretKeyRef.warehouseDbConnStringSecretKey" . }}    
{{ else if ( include "dundas.bi.appDb.warehouseDbConnString" . ) }}
- name: DUNDAS_BI_WAREHOUSE_DB_CONN_STRING
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_WAREHOUSE_CONNECTION_STRING
{{ end }}

# End Warehouse connection string section 
{{- end -}}

{{- end -}}

{{/*
  DUNDAS_BI_DB_CREATOR_APP_DB_CONNECTION_STRING Environment Variable
*/}}
{{- define "dundas.env.dundasBiAppDbCreatorConnString" -}}

{{- $postgresEnabled := false }}
{{- if .Values.global }}
{{- if .Values.global.postgresql }}
{{- if .Values.global.postgresql.enabled }}
{{- $postgresEnabled = true }}
{{- end }}  
{{- end }}
{{- end }}  

{{- if not .Values.dundas.bi.appDb.express }}
{{ if ne ( include "logi.symphony.existingSecret" . ) ""  }}
 {{ $externalSecret := ( lookup "v1" "Secret" .Release.Namespace ( include "logi.symphony.existingSecret" . ) ) }}
 {{- with ($externalSecret).data }}
 {{- range $key, $value := . }}
 {{- if eq $key "managed.db.creator.application.connectionstring" }}
- name: DUNDAS_BI_DB_CREATOR_APP_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" .  }}
      key: managed.db.creator.application.connectionstring
 {{- end }}
 {{- end }}
 {{- end }}
{{- else if eq ( include "dundas.bi.appDb.useExistingSecretForAppDbCreatorConnectionString" . ) "true" }}
- name: DUNDAS_BI_DB_CREATOR_APP_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ include "dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretName" . }}
      key: {{ include "dundas.bi.appDb.secretKeyRef.appDbCreatorConnStringSecretKey" . }}
{{- else if ne (include "dundas.bi.appDb.appDbCreatorConnString" .) "" }}
- name: DUNDAS_BI_DB_CREATOR_APP_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_CREATOR_CONNECTION_STRING
{{- else if $postgresEnabled }}
- name: DUNDAS_BI_DB_CREATOR_APP_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_CREATOR_CONNECTION_STRING
{{- end }}

{{- end }}
{{- end -}}

{{/*
  DBI_WAREHOUSE_CREATOR_CONNECTION_STRING Environment Variable
*/}}
{{- define "dundas.env.dundasBiWarehouseDbCreatorConnString" -}}


{{- $postgresEnabled := false }}
{{- if .Values.global }}
{{- if .Values.global.postgresql }}
{{- if .Values.global.postgresql.enabled }}
{{- $postgresEnabled = true }}
{{- end }}  
{{- end }}
{{- end }}  

{{- if not .Values.dundas.bi.appDb.express }}
{{- if ne ( include "logi.symphony.existingSecret" . ) ""  }}
 {{ $externalSecret := ( lookup "v1" "Secret" .Release.Namespace ( include "logi.symphony.existingSecret" . ) ) }}
 {{- with ($externalSecret).data }}
 {{- range $key, $value := . }}
 {{- if eq $key "managed.db.creator.warehouse.connectionstring" }}
- name: DUNDAS_BI_DB_CREATOR_WH_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" .  }}
      key: managed.db.creator.warehouse.connectionstring
 {{- end }}
 {{- end }}
 {{- end }}
{{- else if eq ( include "dundas.bi.appDb.useExistingSecretForWarehouseDbCreatorConnectionString" . ) "true" }}
- name: DUNDAS_BI_DB_CREATOR_WH_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ include "dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretName" . }}
      key: {{ include "dundas.bi.appDb.secretKeyRef.warehouseDbCreatorConnStringSecretKey" . }}
{{- else if ne (include "dundas.bi.appDb.whDbCreatorConnString" .) "" }}
- name: DUNDAS_BI_DB_CREATOR_WH_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_WAREHOUSE_CREATOR_CONNECTION_STRING
{{- else if $postgresEnabled }}
- name: DUNDAS_BI_DB_CREATOR_WH_DB_CONNECTION_STRING
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: DBI_WAREHOUSE_CREATOR_CONNECTION_STRING
{{- end }}

{{- end }}
{{- end -}}

{{/*
  DUNDAS_BI_DEPLOYMENT_MODE Environment Variable
*/}}
{{- define "global.logi.symphony.ai.enabled" -}}
{{- if eq (((((.Values.global).logi).symphony).ai).enabled) true  -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{- define "global.logi.symphony.discovery.enabled" -}}
{{- if eq (((((.Values.global).logi).symphony).discovery).enabled) true  -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{/*
  DUNDAS_BI_DEPLOYMENT_MODE Environment Variable
*/}}
{{- define "dundas.env.deploymentMode" -}}
{{- $items := ( regexSplit "," .Values.dundas.bi.deploymentMode -1 ) -}}
{{- if eq ( include "global.logi.symphony.ai.enabled" . ) "true" }}
{{- $items = append $items "FLOWISE" -}}
{{- end }}
{{- if eq ( include "global.logi.symphony.managed.minimal" .) "true" }}
{{- $items = append $items "SYMPHONY_MINIMAL" -}}
{{- end }}
{{- if (((.Values.global).logi).symphony).discovery }}
{{- if eq ( include "global.logi.symphony.discovery.enabled" .) "false" }}
{{- $items = append $items "NO_VISUAL_DATA_DISCOVERY" -}}
{{- end }}
{{- end }}
{{- $items = append $items "KUBERNETES" }}
- name: DUNDAS_BI_DEPLOYMENT_MODE 
  value: {{ ( trimPrefix "," ( join "," ( $items | uniq ) )   ) | quote }}
{{- end -}}


{{/*
  DUNDAS_BI_STARTUP_COMMAND Environment Variable
*/}}
{{- define "dundas.env.startCommand" -}}
{{ if .Values.dundas.bi.startCommand }}
- name: DUNDAS_BI_STARTUP_COMMAND
  value: "{{ .Values.dundas.bi.startCommand }}"
{{ end }}
{{- end -}}

{{/*
  DUNDAS_BI_EXTERNAL_APPLICATION_URL Environment Variable
*/}}
{{- define "dundas.env.externalApplicationUrl" -}}
{{ if .Values.ingress.enabled }}
{{- if not .Values.dundas.bi.externalApplicationUrl  }}
{{- range $host := .Values.ingress.hosts }}
{{- range .paths }}
- name: DUNDAS_BI_EXTERNAL_APPLICATION_URL
  value: http{{ if $.Values.ingress.tls }}s{{ end }}://{{ $host.host }}{{ . }}{{ $.Values.dundas.bi.virtualDirectoryPath | trimPrefix "/" }}
{{- end }}
{{- end }}
{{- end }}
{{ end }} 
{{ if .Values.dundas.bi.externalApplicationUrl }}
- name: DUNDAS_BI_EXTERNAL_APPLICATION_URL
  value: "{{ .Values.dundas.bi.externalApplicationUrl }}"
{{ end }}
{{- end -}}

{{/*
  DUNDAS_BI_INTERNAL_APPLICATION_URL Environment Variable 
*/}}
{{- define "dundas.env.internalApplicationUrl" -}}  
{{ if .Values.dundas.bi.internalApplicationUrl }}
- name: DUNDAS_BI_INTERNAL_APPLICATION_URL
  value: "{{ .Values.dundas.bi.internalApplicationUrl }}"
{{ else }}
- name: DUNDAS_BI_INTERNAL_APPLICATION_URL
  value: "http://{{ .Release.Name }}-dundas-bi-website{{ if ne .Release.Namespace "default" }}.{{ .Release.Namespace }}{{- end -}}:{{ .Values.dundas.bi.website.port }}/"      
{{ end }} 

{{- end -}}

{{/*
  Setup Image
*/}}
{{- define "dundas.env.setupimage" -}}
{{ if .Values.dundas.bi.setup.image.override.enabled }}{{ .Values.dundas.bi.setup.image.override.name }}{{ else }}{{ include "dundas.bi.defaultImageRepository" . }}/dundas-bi-setup:{{ .Values.dundas.bi.version }}{{ end }}   
{{- end -}}

{{- define "dundas.bi.initial.microsite.logging.verbosity" -}}
{{ if .Values.dundas.bi.microservice.initialLoggingVerbosity }}
- name: DUNDAS_BI_INITIAL_MICROSERVICE_LOGGING_VERBOSITY
  value: {{ .Values.dundas.bi.microservice.initialLoggingVerbosity | quote }}
{{ end }}
{{- end -}}

{{- define "dundas.bi.python.maxReceiveMessageSize" -}}
{{- if .Values.dundas.bi.python.maxReceiveMessageSize }}
- name: DUNDAS_BI_MICROSERVICE_MAX_RECEIVE_MESSAGE_SIZE
  value: {{ .Values.dundas.bi.python.maxReceiveMessageSize | quote }}
{{- end }}
{{- end -}}

{{- define "dundas.env.adminpassword" -}}
{{ if ne ( include "logi.symphony.existingSecret" . ) ""  }}
  {{ if .Values.dundas.bi.password.setAdminPassword }}
- name: DUNDAS_BI_ADMIN_PASSWORD
  valueFrom: 
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" . }}
      key: admin.password
  {{ end }}
{{ else if ( include "logi.symphony.auth.adminPassword" . ) }}
  {{ if .Values.dundas.bi.password.setAdminPassword }}
- name: DUNDAS_BI_ADMIN_PASSWORD
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: dundas-bi-admin-password 
  {{ end }}
{{ else }}
  {{ if or (.Values.dundas.bi.appDb.express) (.Values.dundas.bi.password.setAdminPassword) }}
- name: DUNDAS_BI_ADMIN_PASSWORD
    {{ if .Values.dundas.bi.password.generateRandomPassword }}
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: dundas-bi-admin-password 
    {{ else if .Values.dundas.bi.password.useExistingSecretForAdminPassword }}
  valueFrom:
    secretKeyRef:
      name: {{ .Values.dundas.bi.password.secretKeyRef.adminPasswordSecretName }}
      key: {{ .Values.dundas.bi.password.secretKeyRef.adminPasswordSecretKey }}
    {{ else }}
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}
      key: dundas-bi-admin-password 
     {{ end }}                  
  {{ end }}
{{ end }}
{{- end -}}

{{- define "logi.symphony.adminpassword" -}}
{{- if eq ( include "logi.composer.enabled" . ) "true" }}
{{ if ne ( include "logi.symphony.existingSecret" .) ""  }}
- name: LOGI_DISCOVERY_ADMIN_PASSWORD
  valueFrom: 
    secretKeyRef:
      name: {{ include "logi.symphony.existingSecret" . }}
      key: admin.password
{{ else if ( include "logi.symphony.auth.adminPassword" . ) }}
- name: LOGI_DISCOVERY_ADMIN_PASSWORD
  valueFrom:
    secretKeyRef:
      name: {{ .Release.Name }}-discovery-web
      key: admin.password
{{ end }}
{{- end }}
{{- end -}}

{{- define "logi.symphony.env.discovery.service.url" -}}
{{- if eq ( include "logi.composer.enabled" . ) "true" }}
- name: LOGI_DISCOVERY_SERVICE_URL
  value: "http://{{ .Release.Name }}-discovery-web:{{ include "logi.composer.port" . }}/{{ trimPrefix "/" .Values.dundas.bi.virtualDirectoryPath | trimSuffix "managed/" }}discovery/"
{{- end }}
{{- end -}}

            
{{- define "logi.composer.port" -}}
{{- if ((((((.Values.global).logi).symphony).discovery).internal).port ) -}}
{{- .Values.global.logi.symphony.discovery.internal.port -}}
{{- else -}}
{{- "9050" -}}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.password.useExistingSecretForAdminPassword" -}}
{{ .Values.dundas.bi.password.useExistingSecretForAdminPassword }}
{{- end -}}

{{- define "global.logi.symphony.image.pullPolicy" -}}
{{- if ((((.Values.global).logi).symphony).image).pullPolicy -}}
{{- ((((.Values.global).logi).symphony).image).pullPolicy -}}
{{- else -}}
{{- "" -}}
{{- end -}}
{{- end -}}

{{- define "imagePullPolicy" -}}
{{- if ( include "global.logi.symphony.image.pullPolicy" . ) -}} 
{{ ( include "global.logi.symphony.image.pullPolicy" . ) }}
{{- else if .Values.image.pullPolicy -}}
{{ .Values.image.pullPolicy }}
{{- else -}}
{{ "" }}
{{- end -}}
{{- end -}}

{{- define "global.imageRegistry" -}}
{{- if .Values.global -}}
  {{- if .Values.global.imageRegistry -}}
  {{ .Values.global.imageRegistry }}
  {{- else -}}
  {{ "" }}
  {{- end -}}
{{- else -}}
{{ "" }}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.defaultImageRepository" -}}
{{- if ( include "global.imageRegistry" . ) -}} 
{{ ( include "global.imageRegistry" . ) }}
{{- else -}}
{{ .Values.dundas.bi.defaultImageRepository }}
{{- end -}}
{{- end -}}



{{- define "global.storageClass" -}}
{{- if .Values.global -}}
  {{- if .Values.global.storageClass -}}
  {{ .Values.global.storageClass }}
  {{- else -}}
  {{ "" }}
  {{- end -}}
{{- else -}}
{{ "" }}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.storageClassName" -}}
{{- if ( include "global.storageClass" . ) -}} 
{{ ( include "global.storageClass" . ) }}
{{- else -}}
{{ .Values.dundas.bi.storageClassName }}
{{- end -}}
{{- end -}}

{{- define "dundas.bi.imagePullSecrets" -}}
{{- if .Values.global -}}
  {{- if .Values.global.imagePullSecrets -}}

  
{{- with .Values.global.imagePullSecrets }}
imagePullSecrets:
  {{- toYaml . | nindent 8 }}
 {{- end }}
  
  {{- else -}}

{{- with .Values.imagePullSecrets }}
imagePullSecrets:
  {{- toYaml . | nindent 8 }}
{{- end -}}

  {{- end -}}
{{- else -}}
{{- with .Values.imagePullSecrets }}
imagePullSecrets:
  {{- toYaml . | nindent 8 }}
{{- end -}}
{{- end -}}
{{- end -}}




{{- define "dundas.bi.existingSecretName" }}
  {{- $secretname := "" -}}
  {{- if ne ( include "logi.symphony.existingSecret" .) ""  -}}
    {{- if .Values.dundas.bi.password.setAdminPassword -}}
      {{- $secretname = ( include "logi.symphony.existingSecret" . ) -}}
    {{- end -}}
  {{- else if .Values.dundas.bi.password.useExistingSecretForAdminPassword -}}
      {{- $secretname = ( .Values.dundas.bi.password.secretKeyRef.adminPasswordSecretName ) -}}         
  {{- end -}}
  {{- $secretname -}}
{{- end }}

{{- define "dundas.bi.existingSecretKey" }}
  {{- $secretkey := "" -}}
  {{- if ne ( include "logi.symphony.existingSecret" .) ""  -}}
    {{- if .Values.dundas.bi.password.setAdminPassword -}}
      {{- $secretkey = "admin.password" -}}
    {{- end -}}
  {{- else if .Values.dundas.bi.password.useExistingSecretForAdminPassword -}}
      {{- $secretkey = ( .Values.dundas.bi.password.secretKeyRef.adminPasswordSecretKey ) -}}             
  {{- end -}}
  {{- $secretkey -}}
{{- end }}

{{- define "dundas.bi.useSecret" }}
  {{- if ne .Values.dundas.bi.password.setAdminPassword true -}}
  {{- false -}}
  {{- else if ne ( include "logi.symphony.existingSecret" .) ""  -}}
  {{- true -}}
  {{- else if .Values.dundas.bi.password.useExistingSecretForAdminPassword -}}
  {{- true -}}
  {{- else -}}
  {{- false -}}  
  {{- end -}}
{{- end }}


{{- define "dundas.bi.forceNewPodOnHelmUpgradeAnnotation" -}}
{{- $context := . -}}
{{- if or ((($context.valueDict.Values).global).forceNewPodOnHelmUpgrade) ($context.serviceDict.forceNewPodOnHelmUpgrade) ($context.valueDict.Values.forceNewPodOnHelmUpgrade) -}}
{{- printf "helm.deployment.date: '%s'" (now | date "2006-01-02T15:04:05Z07:00") -}}
{{- end -}}
{{- end -}}
